| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::TimeAdjustSettings Class Reference
Inheritance diagram for Digikam::TimeAdjustSettings:

## Signals
void | signalSettingsChanged ()
void | signalSrcTimestampChanged ()

## Public Member Functions
| TimeAdjustSettings (QWidget *const parent, bool timeAdjustTool=false)
void | detAdjustmentByClockPhotoUrl (const QUrl &url)
void | setCurrentItemUrl (const QUrl &url)
void | setSettings (const TimeAdjustContainer &settings)
TimeAdjustContainer | settings () const

## Member Function Documentation

## ◆ detAdjustmentByClockPhotoUrl()

void Digikam::TimeAdjustSettings::detAdjustmentByClockPhotoUrl | ( | const QUrl & | url | ) |

When user press the clock photo button, a dialog is displayed and set the results to the proper widgets.